export declare type ErrorCodeSet = {
    [errorCode: string]: true;
};
/**
 * Errors encountered when the client clock and server clock cannot agree on the
 * current time.
 *
 * These errors are retryable, assuming the SDK has enabled clock skew
 * correction.
 */
export declare const CLOCK_SKEW_ERROR_CODES: ErrorCodeSet;
/**
 * Errors encountered when the state presumed by an operation is not yet ready.
 */
export declare const STILL_PROCESSING_ERROR_CODES: ErrorCodeSet;
/**
 * Errors that indicate the SDK is being throttled.
 *
 * These errors are always retryable.
 */
export declare const THROTTLING_ERROR_CODES: ErrorCodeSet;
