"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Errors encountered when the client clock and server clock cannot agree on the
 * current time.
 *
 * These errors are retryable, assuming the SDK has enabled clock skew
 * correction.
 */
exports.CLOCK_SKEW_ERROR_CODES = {
    AuthFailure: true,
    InvalidSignatureException: true,
    RequestExpired: true,
    RequestInTheFuture: true,
    RequestTimeTooSkewed: true,
    SignatureDoesNotMatch: true
};
/**
 * Errors encountered when the state presumed by an operation is not yet ready.
 */
exports.STILL_PROCESSING_ERROR_CODES = {
    PriorRequestNotComplete: true
};
/**
 * Errors that indicate the SDK is being throttled.
 *
 * These errors are always retryable.
 */
exports.THROTTLING_ERROR_CODES = {
    BandwidthLimitExceeded: true,
    ProvisionedThroughputExceededException: true,
    RequestLimitExceeded: true,
    RequestThrottled: true,
    RequestThrottledException: true,
    SlowDown: true,
    ThrottledException: true,
    Throttling: true,
    ThrottlingException: true,
    TooManyRequestsException: true
};
//# sourceMappingURL=constants.js.map